Bug 394731 - RFE: Update libgpod to 0.6.0 for new gen iPod support
RFE: Update libgpod to 0.6.0 for new gen iPod support
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libgpod (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Todd Zullinger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 13:25 EST by Hiren Joshi
Modified: 2008-01-06 20:24 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.4.8-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-06 20:24:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hiren Joshi 2007-11-21 13:25:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.3) Gecko/20070417 Fedora/2.0.0.3-4.fc7 Firefox/2.0.0.3

Description of problem:
Would it be possible to update libgpod to 0.6.0 as this is the only library that supports the new iPod touch and video nano?

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Try uploading songs top iPod touch using 0.4.2 =)
2.
3.

Actual Results:


Expected Results:


Additional info:
Comment 1 Todd Zullinger 2007-11-21 13:51:02 EST
Updates for libgpod-0.6.0 are building in rawhide now.  After some testing
there,  the plan is to push an update to F7 and F8.

I'll put up some non-official F7 x86 builds a little later today and let you
know where you can get them, as promised on fedora-list.
Comment 2 Todd Zullinger 2007-11-21 17:48:57 EST
I've built libgpod-0.6.0 and the things that depend on it for F7, x86.  The rpms
are at http://tmz.fedorapeople.org/repo/

You should be able to install the tmz.repo file and then just use yum to update.
 Or you can browse to 7/i386/ and pick and choose individual packages.

The rpms are all signed with the same key as this email is signed with.  You can
either install this key and let yum verify the signature or use the --nogpgcheck
option to disable sig checking one time or set gpgcheck=0 in the tmz.repo file.

I haven't had a chance to test these out on F7 myself yet, so if you run into
any problems installing or using them, please let me know and I'll get try to
get them fixed up quickly.
Comment 3 Hiren Joshi 2007-11-23 06:13:52 EST
Looks good.... I've not synced with the iPod touch yet but amarok works fine so
at the very least, you havent broken anything =)
Comment 4 Todd Zullinger 2007-11-23 12:36:03 EST
Thanks for testing.  For the iPod touch, there are some brief notes in the NEWS
file (which I neglected to put in the package, I'll fix that in the next release):

* support for iPhone and iPod Touch

This requires manual user intervention: the devices must be jailbroken and 
mounted through sshfs. The iPod Touch also needs a firewire ID which must be
manually set, see README.SysInfo

Cover art is implemented but not tested at all, ditto for photo support on 
the iPod Touch

The full NEWS file is at:
https://gtkpod.svn.sourceforge.net/svnroot/gtkpod/libgpod/tags/V0_6_0/NEWS
Comment 5 Fedora Update System 2007-12-21 16:11:15 EST
amarok-1.4.7-6.fc7, gnomad2-2.9.0-2.fc7, gtkpod-0.99.12-1.fc7, kipi-plugins-0.1.4-2.fc7, libgpod-0.6.0-3.fc7, libmtp-0.2.4-1.fc7, quodlibet-1.0-2.fc7, rhythmbox-0.10.1-7.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update amarok gnomad2 gtkpod kipi-plugins libgpod libmtp quodlibet rhythmbox'
Comment 6 Fedora Update System 2007-12-28 12:19:42 EST
amarok-1.4.8-1.fc7, gnomad2-2.9.0-2.fc7, gtkpod-0.99.12-1.fc7, kipi-plugins-0.1.4-2.fc7, libgpod-0.6.0-3.fc7, libmtp-0.2.4-1.fc7, quodlibet-1.0-2.fc7, rhythmbox-0.10.1-7.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update amarok gnomad2 gtkpod kipi-plugins libgpod libmtp quodlibet rhythmbox'
Comment 7 Oscar Valdez 2007-12-30 11:06:53 EST
I've tried the updates to libgpod and gtkpod from both tmz.repo and
updates-testing, and both produce the same crash on an iPod Nano (model A978,
4GB silver).

After adding music files or directories, the iPod will freeze on its "Music"
menu. If I reset it and quickly (less than 1 sec.) move away from the "Music"
menu, I can play music through the "Shuffle Songs" menu. If I move back to the
"Music" menu, the iPod freezes.
Comment 8 Todd Zullinger 2007-12-30 17:25:15 EST
Oscar, are you running the latest firmware on the iPod?  I've seen reports of
problems with older firmware.  That may be the first thing to test.  If you are
running the latest firmware and are seeing this behavior, do you think you could
create a test case iTunesDB and attach it?  Clear the iPod and add one song,
then attach the iTunesDB here.  I will take a look and forward the report to the
gtkpod-devel list[1] where others may be able to help.  Thanks!

[1] https://lists.sourceforge.net/lists/listinfo/gtkpod-devel
Comment 9 Fedora Update System 2008-01-06 20:24:10 EST
amarok-1.4.8-1.fc7, gnomad2-2.9.0-2.fc7, gtkpod-0.99.12-1.fc7, kipi-plugins-0.1.4-2.fc7, libgpod-0.6.0-3.fc7, libmtp-0.2.4-1.fc7, quodlibet-1.0-2.fc7, rhythmbox-0.10.1-7.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.